Debian Bug report logs - #570634
dialog: Text incorrectly wrapped at combining character

version graph

Package: dialog; Maintainer for dialog is Santiago Vila <sanvila@debian.org>; Source for dialog is src:dialog.

Reported by: Theppitak Karoonboonyanan <thep@debian.org>

Date: Sat, 20 Feb 2010 11:33:02 UTC

Severity: normal

Found in version dialog/1.1-20100119-1

Fixed in version dialog/1.1-20110302-1

Done: Santiago Vila <sanvila@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Santiago Vila <sanvila@debian.org>:
Bug#570634; Package dialog. (Sat, 20 Feb 2010 11:33:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Theppitak Karoonboonyanan <thep@debian.org>:
New Bug report received and forwarded. Copy sent to Santiago Vila <sanvila@debian.org>. (Sat, 20 Feb 2010 11:33:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Theppitak Karoonboonyanan <thep@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dialog: Text incorrectly wrapped at combining character
Date: Sat, 20 Feb 2010 18:26:44 +0700
Package: dialog
Version: 1.1-20100119-1
Severity: normal

When Thai text is wrapped at the character with a following combining
character, the combining character gets wrapped instead of staying with the
base character at line end.

Test case:

LANG=en_US.UTF-8 dialog --title "ทดสอบวรรณยุกต์" \
 --msgbox "วรรณยุกต์อยู่ท้ายบรรทัดได้หรือไม่" 8 23

Expected result: a dialog like this:

  ┌───ทดสอบวรรณยุกต์──────┐
  │ วรรณยุกต์อยู่ท้ายบรรทัดได้ │  
  │ หรือไม่               │  
  │                     │  
  │                     │  
  ├─────────────────────┤  
  │     <  OK  >        │  
  └─────────────────────┘  

What actually happens:

  ┌───ทดสอบวรรณยุกต์──────┐
  │ วรรณยุกต์อยู่ท้ายบรรทัดได │  
  │ ้หรือไม               │  
  │                     │  
  │                     │  
  ├─────────────────────┤  
  │     <  OK  >        │  
  └─────────────────────┘  

Notice the missing combining character at the end of the first line, which
gets incorrectly wrapped to the second line.

Also notice the missing combining character at the end of the second line.
This always happens regardless of how the text is wrapped. The last combining
character of the line is always lost.

-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-trunk-amd64 (SMP w/2 CPU cores)
Locale: LANG=th_TH.UTF-8, LC_CTYPE=th_TH.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages dialog depends on:
ii  debianutils               3.2.2          Miscellaneous utilities specific t
ii  libc6                     2.10.2-6       Embedded GNU C Library: Shared lib
ii  libncursesw5              5.7+20090803-2 shared libraries for terminal hand

dialog recommends no packages.

dialog suggests no packages.

-- no debconf information




Reply sent to Santiago Vila <sanvila@debian.org>:
You have taken responsibility. (Tue, 10 May 2011 16:18:22 GMT) Full text and rfc822 format available.

Notification sent to Theppitak Karoonboonyanan <thep@debian.org>:
Bug acknowledged by developer. (Tue, 10 May 2011 16:18:22 GMT) Full text and rfc822 format available.

Message #10 received at 570634-close@bugs.debian.org (full text, mbox):

From: Santiago Vila <sanvila@debian.org>
To: 570634-close@bugs.debian.org
Subject: Bug#570634: fixed in dialog 1.1-20110302-1
Date: Tue, 10 May 2011 16:02:15 +0000
Source: dialog
Source-Version: 1.1-20110302-1

We believe that the bug you reported is fixed in the latest version of
dialog, which is due to be installed in the Debian FTP archive:

dialog_1.1-20110302-1.debian.tar.gz
  to main/d/dialog/dialog_1.1-20110302-1.debian.tar.gz
dialog_1.1-20110302-1.dsc
  to main/d/dialog/dialog_1.1-20110302-1.dsc
dialog_1.1-20110302-1_amd64.deb
  to main/d/dialog/dialog_1.1-20110302-1_amd64.deb
dialog_1.1-20110302.orig.tar.gz
  to main/d/dialog/dialog_1.1-20110302.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 570634@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Santiago Vila <sanvila@debian.org> (supplier of updated dialog package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA256

Format: 1.8
Date: Tue, 10 May 2011 17:39:00 +0200
Source: dialog
Binary: dialog
Architecture: source amd64
Version: 1.1-20110302-1
Distribution: unstable
Urgency: low
Maintainer: Santiago Vila <sanvila@debian.org>
Changed-By: Santiago Vila <sanvila@debian.org>
Description: 
 dialog     - Displays user-friendly dialog boxes from shell scripts
Closes: 305705 570634
Changes: 
 dialog (1.1-20110302-1) unstable; urgency=low
 .
   * New upstream release.
   * Added --disable-rpath-hack to debian/rules configure call.
   * Correct handling of SIGWINCH in gauge widget (Closes: #305705).
   * Account for combining characters when wrapping text (Closes: #570634).
Checksums-Sha1: 
 34f3499f422cb8d3f93510108f6b5adb92e702db 1382 dialog_1.1-20110302-1.dsc
 ba4e79abaf579e0d23f247ae65196437f8d8e031 423269 dialog_1.1-20110302.orig.tar.gz
 2872fdfbfe1055d64abf9c0ab0f2a60a5d6ef311 10148 dialog_1.1-20110302-1.debian.tar.gz
 2168102801097a5935b450634491cc9be31d55ed 304508 dialog_1.1-20110302-1_amd64.deb
Checksums-Sha256: 
 e256dafcd11cb5dbc08e349798a09f2062ba48bf536dfea16b84ceb0758ab490 1382 dialog_1.1-20110302-1.dsc
 d316f5ddd66b8d139b164de4e0e2911f57daa338de8a765316529190f5660657 423269 dialog_1.1-20110302.orig.tar.gz
 01f4a67b8060f40ef5420ae5d3c3fac503fa024988555ff561429698d709a7d2 10148 dialog_1.1-20110302-1.debian.tar.gz
 afd87cf9d49e603c18fbff16e545a6ca98b819ec094994b4c03087ecdec6ba11 304508 dialog_1.1-20110302-1_amd64.deb
Files: 
 5859f0db4a571e4f25bbd216f3c115e4 1382 misc optional dialog_1.1-20110302-1.dsc
 2eaa82055b86006e205d2c3f74d9b800 423269 misc optional dialog_1.1-20110302.orig.tar.gz
 a9cbce5a748e3cdf25c4e314ad72129e 10148 misc optional dialog_1.1-20110302-1.debian.tar.gz
 30a554a6a8e06c91e0d2e4bc68fc8dd5 304508 misc optional dialog_1.1-20110302-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iQEcBAEBCAAGBQJNyVyRAAoJEEHOfwufG4syE9MH/1yk8Ru5GEtu6ZF9JGqqhkCt
KUQ7uFJaN3FLU5ikXNnVkm7tj8bBLOhbemk6BhZcSrgoTlz6cic25qFuA5LjcjQh
L74BedNggS0lXvUyjOPyfotQveSqfpV3NM2OekMcbLGJSCZY2dykPlqR/307E38C
TEU+A5MXIqkYLHtsKtCl0cYKATCd4MxhGbw4MFGRiEJNdxIDCNHRTU7cK9XIdjbe
ZNLbyLcxLGCLBIqlCfhgAMutGj9Oj4zIE5woGyJtpResKukX73gtQrcvesIagi/U
wQcoTgJAS54WgEfYNC4c0WDLlaPMotsvgWpKVz1GTx3/YzL8AUGKWKatrR9vs9A=
=BXdU
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 18 Jun 2011 07:33:10 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 13:40:46 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.